// glob.h   global definitions

// override defaults with -D in Makefile

// default number of kernel calls
#ifndef N
#define N 3
#endif

// default number of live-in vector variables, should be >= MAX_INDEG:
#ifndef INIT_K 
#define INIT_K 3
#endif

// default limits for degrees of kernel calls:
#ifndef MIN_INDEG
#define MIN_INDEG 3
#endif
#ifndef MAX_INDEG
#define MAX_INDEG 3
#endif
#ifndef MIN_OUTDEG
#define MIN_OUTDEG 1
#endif
#ifndef MAX_OUTDEG
#define MAX_OUTDEG 2
#endif

#define MAX_K (INIT_K+MAX_OUTDEG*N)

// utilities

#define max(u,v) ((u)>=(v)?(u):(v))
